summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-11-28 20:37:54 -0500
committerJune McEnroe <june@causal.agency>2020-11-28 20:37:54 -0500
commitd0ff7dc8ecef7e835ecb4beef707539489943dbd (patch)
tree00f71a435f7f97fdf28c05d42caba5538e708e50 /configure
parentAdd additional permission for linking with LibreSSL (diff)
downloadbubger-d0ff7dc8ecef7e835ecb4beef707539489943dbd.tar.gz
bubger-d0ff7dc8ecef7e835ecb4beef707539489943dbd.zip
Add configure script
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure42
1 files changed, 42 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..bd6d39d
--- /dev/null
+++ b/configure
@@ -0,0 +1,42 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(--datadir=*) echo "DATADIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(Darwin)
+		config libtls
+		ldlibs -liconv
+		;;
+	(*)
+		config libtls
+		;;
+esac